LibreOffice: XLabeledDataSequence2 Interface Reference

LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XLabeledDataSequence2 Interface Reference

`import "XLabeledDataSequence2.idl";`

Inheritance diagram for XLabeledDataSequence2:

## Exported Interfaces
interface | XLabeledDataSequence
| provides read- and write-access to the underlying data.
interface | com::sun::star::util::XModifyBroadcaster
| is used to broadcast when the sequence for labels or values change their identity, or their content changes.
interface | ::com::sun::star::util::XCloneable
| Allows creating copies of data sequences.

## Additional Inherited Members
Public Member Functions inherited from XLabeledDataSequence
XDataSequence | getValues ()
| returns an XDataSequence containing the actual data.
void | setValues ([in] XDataSequence xSequence)
| sets a new XDataSequence containing the actual data.
XDataSequence | getLabel ()
| returns an XDataSequence containing the label for the labeled sequence.
void | setLabel ([in] XDataSequence xSequence)
| sets a new XDataSequence containing the label for the labeled sequence.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified."
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener.
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.

## Detailed Description

Since
  LibreOffice 4.1

## Exported Interfaces

## ◆ ::com::sun::star::util::XCloneable

interface ::com::sun::star::util::XCloneable

Allows creating copies of data sequences.

If this interface is not supported, the same object will be shared if used by multiple objects.

If a LabeledDataSequence is cloned, it has to query its contents for the com::sun::star::util::XCloneable interface and use it if available.

## ◆ com::sun::star::util::XModifyBroadcaster

interface com::sun::star::util::XModifyBroadcaster

is used to broadcast when the sequence for labels or values change their identity, or their content changes.

The LabeledDataSequence should add itself at its XDataSequences for values and labels, and forward any change events coming from there.

## ◆ XLabeledDataSequence

interface XLabeledDataSequence

provides read- and write-access to the underlying data.

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/data/XLabeledDataSequence2.idl